Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jivesoftware.openfire.http
Enum BoshBindingError

    java.lang.Object
      java.lang.Enum<BoshBindingError>
          org.jivesoftware.openfire.http.BoshBindingError

All Implemented Interfaces:
  Serializable, Comparable<BoshBindingError>

    public enum BoshBindingError

extends Enum<BoshBindingError>

An enum defining all errors which can happen during a BOSH session.

Nested Class Summary
`static class` | `BoshBindingError.Type`

Enum Constant Summary
`badRequest` The format of an HTTP header or binding element received from the client is unacceptable (e.g., syntax error), or Script Syntax is not supported.
`hostGone` The target domain specified in the 'to' attribute or the target host or port specified in the 'route' attribute is no longer serviced by the connection manager.
`hostUnknown` The target domain specified in the 'to' attribute or the target host or port specified in the 'route' attribute is unknown to the connection manager.
`improperAddressing` The initialization element lacks a 'to' or 'route' attribute (or the attribute has no value) but the connection manager requires one.
`internalServerError` The connection manager has experienced an internal error that prevents it from servicing the request.
`itemNotFound` (1) 'sid' is not valid, (2) 'stream' is not valid, (3) 'rid' is larger than the upper limit of the expected window, (4) connection manager is unable to resend response, (5) 'key' sequence is invalid (6) script syntax is not enabled
`otherRequest` Another request being processed at the same time as this request caused the session to terminate.
`policyViolation` The client has broken the session rules (polling too frequently, requesting too frequently, too many simultaneous requests).
`remoteConnectionFailed` The connection manager was unable to connect to, or unable to connect securely to, or has lost its connection to, the server.
`remoteStreamError` Encapsulates an error in the protocol being transported.
`seeOtherUri` The connection manager does not operate at this URI (e.g., the connection manager accepts only SSL or TLS connections at some https: URI rather than the http: URI requested by the client).
`systemShutdown` The connection manager is being shut down.
`undefinedCondition` The error is not one of those defined herein; the connection manager SHOULD include application-specific information in the content of the <body> wrapper.

Method Summary
`String` | `getCondition()` Returns the condition that caused the binding error.
`BoshBindingError.Type` | `getErrorType()`
`int` | `getLegacyErrorCode()` Returns the legacy HTTP error code which is related to the binding error.
`static BoshBindingError` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BoshBindingError[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### badRequest

    public static final BoshBindingError badRequest

  The format of an HTTP header or binding element received from the client is unacceptable (e.g., syntax error), or Script Syntax is not supported.

### hostGone

    public static final BoshBindingError hostGone

  The target domain specified in the 'to' attribute or the target host or port specified in the 'route' attribute is no longer serviced by the connection manager.

### hostUnknown

    public static final BoshBindingError hostUnknown

  The target domain specified in the 'to' attribute or the target host or port specified in the 'route' attribute is unknown to the connection manager.

### improperAddressing

    public static final BoshBindingError improperAddressing

  The initialization element lacks a 'to' or 'route' attribute (or the attribute has no value) but the connection manager requires one.

### internalServerError

    public static final BoshBindingError internalServerError

  The connection manager has experienced an internal error that prevents it from servicing the request.

### itemNotFound

    public static final BoshBindingError itemNotFound

  (1) 'sid' is not valid, (2) 'stream' is not valid, (3) 'rid' is larger than the upper limit of the expected window, (4) connection manager is unable to resend response, (5) 'key' sequence is invalid (6) script syntax is not enabled

### otherRequest

    public static final BoshBindingError otherRequest

  Another request being processed at the same time as this request caused the session to terminate.

### policyViolation

    public static final BoshBindingError policyViolation

  The client has broken the session rules (polling too frequently, requesting too frequently, too many simultaneous requests).

### remoteConnectionFailed

    public static final BoshBindingError remoteConnectionFailed

  The connection manager was unable to connect to, or unable to connect securely to, or has lost its connection to, the server.

### remoteStreamError

    public static final BoshBindingError remoteStreamError

  Encapsulates an error in the protocol being transported.

### seeOtherUri

    public static final BoshBindingError seeOtherUri

  The connection manager does not operate at this URI (e.g., the connection manager accepts only SSL or TLS connections at some https: URI rather than the http: URI requested by the client). The client may try POSTing to the URI in the content of the <uri/> child element.

### systemShutdown

    public static final BoshBindingError systemShutdown

  The connection manager is being shut down. All active HTTP sessions are being terminated. No new sessions can be created.

### undefinedCondition

    public static final BoshBindingError undefinedCondition

  The error is not one of those defined herein; the connection manager SHOULD include application-specific information in the content of the <body> wrapper.

Method Detail

### values

    public static final BoshBindingError[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(BoshBindingError c : BoshBindingError.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static BoshBindingError valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### getErrorType

    public BoshBindingError.Type getErrorType()

### getCondition

    public String getCondition()

  Returns the condition that caused the binding error. This should be returned to the client so that the client can take appropriate action.

  Returns:
    the condition that caused the binding error.

### getLegacyErrorCode

    public int getLegacyErrorCode()

  Returns the legacy HTTP error code which is related to the binding error. With the 1.6 version of BOSH the use of HTTP errors was deprecated in favor of using errors inside of the response to the client so that they could be more easily processed on the client side.

  Returns:
    the legacy HTTP error code which is related to the binding error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2008 Jive Software.